<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: DayzExpansion/Core/Scripts/5_mission/dayzexpansion_core/mvc/scriptviews/dialogs/content/expansiondialogcontent_textscroller.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.12</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d0/dee/expansiondialogcontent__textscroller_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">expansiondialogcontent_textscroller.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d0/dee/expansiondialogcontent__textscroller_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="comment"> * ExpansionDialogContent_TextScroller.c</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="comment"> *</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="comment"> * DayZ Expansion Mod</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="comment"> * www.dayzexpansion.com</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="comment"> * © 2022 DayZ Expansion Mod Team</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span><span class="comment"> *</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span><span class="comment"> * This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License.</span></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span><span class="comment"> * To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/.</span></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span><span class="comment"> *</span></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span><span class="comment">*/</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span> </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="../../d8/dae/class_expansion_menu_dialog_content___text_scroller.html">   13</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d8/dae/class_expansion_menu_dialog_content___text_scroller.html">ExpansionMenuDialogContent_TextScroller</a>: <a class="code hl_class" href="../../db/d32/class_expansion_menu_dialog_content_base.html">ExpansionMenuDialogContentBase</a></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>{</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno"><a class="line" href="../../d8/dae/class_expansion_menu_dialog_content___text_scroller.html#a92b3112ed6783afb5357af2968f45f4b">   15</a></span>    ref <a class="code hl_class" href="../../d7/d6a/class_expansion_menu_dialog_content___text_scroller_controller.html">ExpansionMenuDialogContent_TextScrollerController</a> <a class="code hl_variable" href="../../d8/dae/class_expansion_menu_dialog_content___text_scroller.html#a92b3112ed6783afb5357af2968f45f4b">m_TextScrollerController</a>; </div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno"><a class="line" href="../../d8/dae/class_expansion_menu_dialog_content___text_scroller.html#aa52a2f0677c185181f71fbb59b74bfce">   16</a></span>    <span class="keyword">private</span> <span class="keywordtype">string</span> <a class="code hl_variable" href="../../d8/dae/class_expansion_menu_dialog_content___text_scroller.html#aa52a2f0677c185181f71fbb59b74bfce">m_Text</a> = <span class="stringliteral">&quot;&quot;</span>;</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>    </div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno"><a class="line" href="../../d8/dae/class_expansion_menu_dialog_content___text_scroller.html#aec66afa8df01ce7cff4c5acedae7b0fd">   18</a></span>    RichTextWidget <a class="code hl_variable" href="../../d8/dae/class_expansion_menu_dialog_content___text_scroller.html#aec66afa8df01ce7cff4c5acedae7b0fd">dialog_scroller_text</a>;</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>    </div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno"><a class="line" href="../../d8/dae/class_expansion_menu_dialog_content___text_scroller.html#aad7095c0fd4077271a3f17b0f1878a1e">   20</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/dae/class_expansion_menu_dialog_content___text_scroller.html#aad7095c0fd4077271a3f17b0f1878a1e">ExpansionDialogContent_TextScroller</a>(<a class="code hl_class" href="../../d9/db6/class_expansion_menu_dialog_base.html">ExpansionMenuDialogBase</a> dialog)</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>    {</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>        <a class="code hl_variable" href="../../db/d32/class_expansion_menu_dialog_content_base.html#a898020ec9ccf6227ec1bd7e0af82966d">m_Dialog</a> = dialog;</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span> </div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>        <span class="keywordflow">if</span> (!<a class="code hl_variable" href="../../d8/dae/class_expansion_menu_dialog_content___text_scroller.html#a92b3112ed6783afb5357af2968f45f4b">m_TextScrollerController</a>)</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>            <a class="code hl_variable" href="../../d8/dae/class_expansion_menu_dialog_content___text_scroller.html#a92b3112ed6783afb5357af2968f45f4b">m_TextScrollerController</a> = <a class="code hl_class" href="../../d7/d6a/class_expansion_menu_dialog_content___text_scroller_controller.html">ExpansionMenuDialogContent_TextScrollerController</a>.Cast(GetController());</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>    }</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>    </div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno"><a class="line" href="../../d8/dae/class_expansion_menu_dialog_content___text_scroller.html#a1ad0f6468974b205c8c67f81259cc0d2">   28</a></span>    <span class="keyword">override</span> <span class="keywordtype">string</span> <a class="code hl_function" href="../../d8/dae/class_expansion_menu_dialog_content___text_scroller.html#a1ad0f6468974b205c8c67f81259cc0d2">GetLayoutFile</a>() </div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>    {</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>        <span class="keywordflow">return</span> <span class="stringliteral">&quot;DayZExpansion/Core/GUI/layouts/mvc/dialogs/expansion_menu_dialog_content_textscroller.layout&quot;</span>;</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>    }</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>    </div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno"><a class="line" href="../../d8/dae/class_expansion_menu_dialog_content___text_scroller.html#ae8789f26df7cc8a71486345406ce1ae3">   33</a></span>    <span class="keyword">override</span> <span class="keyword">typename</span> <a class="code hl_function" href="../../d8/dae/class_expansion_menu_dialog_content___text_scroller.html#ae8789f26df7cc8a71486345406ce1ae3">GetControllerType</a>() </div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>    {</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>        <span class="keywordflow">return</span> <a class="code hl_class" href="../../d7/d6a/class_expansion_menu_dialog_content___text_scroller_controller.html">ExpansionMenuDialogContent_TextScrollerController</a>;</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>    }</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>    </div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno"><a class="line" href="../../d8/dae/class_expansion_menu_dialog_content___text_scroller.html#a25d5d9d76ec0810edee9ee7a8101b64c">   38</a></span>    <span class="keywordtype">string</span> <a class="code hl_function" href="../../d8/dae/class_expansion_menu_dialog_content___text_scroller.html#a25d5d9d76ec0810edee9ee7a8101b64c">GetDialogText</a>()</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>    {</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../d8/dae/class_expansion_menu_dialog_content___text_scroller.html#aa52a2f0677c185181f71fbb59b74bfce">m_Text</a>;</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>    }</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>    </div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno"><a class="line" href="../../d8/dae/class_expansion_menu_dialog_content___text_scroller.html#aa1bb6427d3a40cb94547efb2935b7a53">   43</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/dae/class_expansion_menu_dialog_content___text_scroller.html#aa1bb6427d3a40cb94547efb2935b7a53">SetDialogText</a>(<span class="keywordtype">string</span> text)</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>    {</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>        <a class="code hl_variable" href="../../d8/dae/class_expansion_menu_dialog_content___text_scroller.html#aa52a2f0677c185181f71fbb59b74bfce">m_Text</a> = text;</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>    }</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>    </div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno"><a class="line" href="../../d8/dae/class_expansion_menu_dialog_content___text_scroller.html#aea63e82b76baf63dc22d3a9b9e69ecfe">   48</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/dae/class_expansion_menu_dialog_content___text_scroller.html#aea63e82b76baf63dc22d3a9b9e69ecfe">SetContent</a>()</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>    {       </div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>        <a class="code hl_variable" href="../../d8/dae/class_expansion_menu_dialog_content___text_scroller.html#a92b3112ed6783afb5357af2968f45f4b">m_TextScrollerController</a>.<a class="code hl_variable" href="../../d7/d6a/class_expansion_menu_dialog_content___text_scroller_controller.html#aad650aa3f58c35fae4778dcee9cd1565">DialogText</a> = <a class="code hl_function" href="../../d8/dae/class_expansion_menu_dialog_content___text_scroller.html#a25d5d9d76ec0810edee9ee7a8101b64c">GetDialogText</a>();</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>        <a class="code hl_variable" href="../../d8/dae/class_expansion_menu_dialog_content___text_scroller.html#a92b3112ed6783afb5357af2968f45f4b">m_TextScrollerController</a>.NotifyPropertyChanged(<span class="stringliteral">&quot;DialogText&quot;</span>);</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>    }</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>    </div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno"><a class="line" href="../../d8/dae/class_expansion_menu_dialog_content___text_scroller.html#ac3be30cbc7bae8e3b2d312220dc6568f">   54</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/dae/class_expansion_menu_dialog_content___text_scroller.html#ac3be30cbc7bae8e3b2d312220dc6568f">OnShow</a>()</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>    {</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>        super.OnShow();</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>        </div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>        <a class="code hl_function" href="../../d8/dae/class_expansion_menu_dialog_content___text_scroller.html#aea63e82b76baf63dc22d3a9b9e69ecfe">SetContent</a>();</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>    }</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>    </div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno"><a class="line" href="../../d8/dae/class_expansion_menu_dialog_content___text_scroller.html#aa150392974377d4761ecdfb28e870291">   61</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/dae/class_expansion_menu_dialog_content___text_scroller.html#aa150392974377d4761ecdfb28e870291">SetTextColor</a>(<span class="keywordtype">int</span> color)</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>    {</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>        <a class="code hl_variable" href="../../d8/dae/class_expansion_menu_dialog_content___text_scroller.html#aec66afa8df01ce7cff4c5acedae7b0fd">dialog_scroller_text</a>.SetColor(color);</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>    }</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>};</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span> </div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno"><a class="line" href="../../d7/d6a/class_expansion_menu_dialog_content___text_scroller_controller.html">   67</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d7/d6a/class_expansion_menu_dialog_content___text_scroller_controller.html">ExpansionMenuDialogContent_TextScrollerController</a>: <a class="code hl_class" href="../../d1/dc3/class_expansion_view_controller.html">ExpansionViewController</a></div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>{</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno"><a class="line" href="../../d7/d6a/class_expansion_menu_dialog_content___text_scroller_controller.html#aad650aa3f58c35fae4778dcee9cd1565">   69</a></span>    <span class="keywordtype">string</span> <a class="code hl_variable" href="../../d7/d6a/class_expansion_menu_dialog_content___text_scroller_controller.html#aad650aa3f58c35fae4778dcee9cd1565">DialogText</a>;</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>}</div>
<div class="ttc" id="aclass_expansion_menu_dialog_base_html"><div class="ttname"><a href="../../d9/db6/class_expansion_menu_dialog_base.html">ExpansionMenuDialogBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d0f/expansionmenudialogbase_8c_source.html#l00013">expansionmenudialogbase.c:14</a></div></div>
<div class="ttc" id="aclass_expansion_menu_dialog_content___text_scroller_controller_html"><div class="ttname"><a href="../../d7/d6a/class_expansion_menu_dialog_content___text_scroller_controller.html">ExpansionMenuDialogContent_TextScrollerController</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d0/dee/expansiondialogcontent__textscroller_8c_source.html#l00067">expansiondialogcontent_textscroller.c:68</a></div></div>
<div class="ttc" id="aclass_expansion_menu_dialog_content___text_scroller_controller_html_aad650aa3f58c35fae4778dcee9cd1565"><div class="ttname"><a href="../../d7/d6a/class_expansion_menu_dialog_content___text_scroller_controller.html#aad650aa3f58c35fae4778dcee9cd1565">ExpansionMenuDialogContent_TextScrollerController::DialogText</a></div><div class="ttdeci">string DialogText</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/dee/expansiondialogcontent__textscroller_8c_source.html#l00069">expansiondialogcontent_textscroller.c:69</a></div></div>
<div class="ttc" id="aclass_expansion_menu_dialog_content___text_scroller_html"><div class="ttname"><a href="../../d8/dae/class_expansion_menu_dialog_content___text_scroller.html">ExpansionMenuDialogContent_TextScroller</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d0/dee/expansiondialogcontent__textscroller_8c_source.html#l00013">expansiondialogcontent_textscroller.c:14</a></div></div>
<div class="ttc" id="aclass_expansion_menu_dialog_content___text_scroller_html_a1ad0f6468974b205c8c67f81259cc0d2"><div class="ttname"><a href="../../d8/dae/class_expansion_menu_dialog_content___text_scroller.html#a1ad0f6468974b205c8c67f81259cc0d2">ExpansionMenuDialogContent_TextScroller::GetLayoutFile</a></div><div class="ttdeci">override string GetLayoutFile()</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/dee/expansiondialogcontent__textscroller_8c_source.html#l00028">expansiondialogcontent_textscroller.c:28</a></div></div>
<div class="ttc" id="aclass_expansion_menu_dialog_content___text_scroller_html_a25d5d9d76ec0810edee9ee7a8101b64c"><div class="ttname"><a href="../../d8/dae/class_expansion_menu_dialog_content___text_scroller.html#a25d5d9d76ec0810edee9ee7a8101b64c">ExpansionMenuDialogContent_TextScroller::GetDialogText</a></div><div class="ttdeci">string GetDialogText()</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/dee/expansiondialogcontent__textscroller_8c_source.html#l00038">expansiondialogcontent_textscroller.c:38</a></div></div>
<div class="ttc" id="aclass_expansion_menu_dialog_content___text_scroller_html_a92b3112ed6783afb5357af2968f45f4b"><div class="ttname"><a href="../../d8/dae/class_expansion_menu_dialog_content___text_scroller.html#a92b3112ed6783afb5357af2968f45f4b">ExpansionMenuDialogContent_TextScroller::m_TextScrollerController</a></div><div class="ttdeci">ref ExpansionMenuDialogContent_TextScrollerController m_TextScrollerController</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/dee/expansiondialogcontent__textscroller_8c_source.html#l00015">expansiondialogcontent_textscroller.c:15</a></div></div>
<div class="ttc" id="aclass_expansion_menu_dialog_content___text_scroller_html_aa150392974377d4761ecdfb28e870291"><div class="ttname"><a href="../../d8/dae/class_expansion_menu_dialog_content___text_scroller.html#aa150392974377d4761ecdfb28e870291">ExpansionMenuDialogContent_TextScroller::SetTextColor</a></div><div class="ttdeci">void SetTextColor(int color)</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/dee/expansiondialogcontent__textscroller_8c_source.html#l00061">expansiondialogcontent_textscroller.c:61</a></div></div>
<div class="ttc" id="aclass_expansion_menu_dialog_content___text_scroller_html_aa1bb6427d3a40cb94547efb2935b7a53"><div class="ttname"><a href="../../d8/dae/class_expansion_menu_dialog_content___text_scroller.html#aa1bb6427d3a40cb94547efb2935b7a53">ExpansionMenuDialogContent_TextScroller::SetDialogText</a></div><div class="ttdeci">void SetDialogText(string text)</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/dee/expansiondialogcontent__textscroller_8c_source.html#l00043">expansiondialogcontent_textscroller.c:43</a></div></div>
<div class="ttc" id="aclass_expansion_menu_dialog_content___text_scroller_html_aa52a2f0677c185181f71fbb59b74bfce"><div class="ttname"><a href="../../d8/dae/class_expansion_menu_dialog_content___text_scroller.html#aa52a2f0677c185181f71fbb59b74bfce">ExpansionMenuDialogContent_TextScroller::m_Text</a></div><div class="ttdeci">private string m_Text</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/dee/expansiondialogcontent__textscroller_8c_source.html#l00016">expansiondialogcontent_textscroller.c:16</a></div></div>
<div class="ttc" id="aclass_expansion_menu_dialog_content___text_scroller_html_aad7095c0fd4077271a3f17b0f1878a1e"><div class="ttname"><a href="../../d8/dae/class_expansion_menu_dialog_content___text_scroller.html#aad7095c0fd4077271a3f17b0f1878a1e">ExpansionMenuDialogContent_TextScroller::ExpansionDialogContent_TextScroller</a></div><div class="ttdeci">void ExpansionDialogContent_TextScroller(ExpansionMenuDialogBase dialog)</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/dee/expansiondialogcontent__textscroller_8c_source.html#l00020">expansiondialogcontent_textscroller.c:20</a></div></div>
<div class="ttc" id="aclass_expansion_menu_dialog_content___text_scroller_html_ac3be30cbc7bae8e3b2d312220dc6568f"><div class="ttname"><a href="../../d8/dae/class_expansion_menu_dialog_content___text_scroller.html#ac3be30cbc7bae8e3b2d312220dc6568f">ExpansionMenuDialogContent_TextScroller::OnShow</a></div><div class="ttdeci">override void OnShow()</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/dee/expansiondialogcontent__textscroller_8c_source.html#l00054">expansiondialogcontent_textscroller.c:54</a></div></div>
<div class="ttc" id="aclass_expansion_menu_dialog_content___text_scroller_html_ae8789f26df7cc8a71486345406ce1ae3"><div class="ttname"><a href="../../d8/dae/class_expansion_menu_dialog_content___text_scroller.html#ae8789f26df7cc8a71486345406ce1ae3">ExpansionMenuDialogContent_TextScroller::GetControllerType</a></div><div class="ttdeci">override GetControllerType()</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/dee/expansiondialogcontent__textscroller_8c_source.html#l00033">expansiondialogcontent_textscroller.c:33</a></div></div>
<div class="ttc" id="aclass_expansion_menu_dialog_content___text_scroller_html_aea63e82b76baf63dc22d3a9b9e69ecfe"><div class="ttname"><a href="../../d8/dae/class_expansion_menu_dialog_content___text_scroller.html#aea63e82b76baf63dc22d3a9b9e69ecfe">ExpansionMenuDialogContent_TextScroller::SetContent</a></div><div class="ttdeci">void SetContent()</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/dee/expansiondialogcontent__textscroller_8c_source.html#l00048">expansiondialogcontent_textscroller.c:48</a></div></div>
<div class="ttc" id="aclass_expansion_menu_dialog_content___text_scroller_html_aec66afa8df01ce7cff4c5acedae7b0fd"><div class="ttname"><a href="../../d8/dae/class_expansion_menu_dialog_content___text_scroller.html#aec66afa8df01ce7cff4c5acedae7b0fd">ExpansionMenuDialogContent_TextScroller::dialog_scroller_text</a></div><div class="ttdeci">RichTextWidget dialog_scroller_text</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/dee/expansiondialogcontent__textscroller_8c_source.html#l00018">expansiondialogcontent_textscroller.c:18</a></div></div>
<div class="ttc" id="aclass_expansion_menu_dialog_content_base_html"><div class="ttname"><a href="../../db/d32/class_expansion_menu_dialog_content_base.html">ExpansionMenuDialogContentBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d0f/expansionmenudialogbase_8c_source.html#l00182">expansionmenudialogbase.c:183</a></div></div>
<div class="ttc" id="aclass_expansion_menu_dialog_content_base_html_a898020ec9ccf6227ec1bd7e0af82966d"><div class="ttname"><a href="../../db/d32/class_expansion_menu_dialog_content_base.html#a898020ec9ccf6227ec1bd7e0af82966d">ExpansionMenuDialogContentBase::m_Dialog</a></div><div class="ttdeci">ref ExpansionMenuDialogBase m_Dialog</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d0f/expansionmenudialogbase_8c_source.html#l00184">expansionmenudialogbase.c:184</a></div></div>
<div class="ttc" id="aclass_expansion_view_controller_html"><div class="ttname"><a href="../../d1/dc3/class_expansion_view_controller.html">ExpansionViewController</a></div><div class="ttdef"><b>Definition:</b> <a href="../../db/d6d/3__game_2dayzexpansion__core_2mvc_2scriptviews_2bases_2expansionscriptview_8c_source.html#l00013">expansionscriptview.c:14</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_6127fff2da0a20e2dc2cd9302c584350.html">DayzExpansion</a></li><li class="navelem"><a class="el" href="../../dir_fa1f4f079ed95106cba6603012ba90d8.html">Core</a></li><li class="navelem"><a class="el" href="../../dir_4763e2204ca4935d3e08fff4ec8c41d9.html">Scripts</a></li><li class="navelem"><a class="el" href="../../dir_ee841cbe272fde7d7d8de5f31a96d644.html">5_mission</a></li><li class="navelem"><a class="el" href="../../dir_d9bf3955f906b79792cbbbe771cbfdb0.html">dayzexpansion_core</a></li><li class="navelem"><a class="el" href="../../dir_a010632d5636c220a8f3f7c7edce9061.html">mvc</a></li><li class="navelem"><a class="el" href="../../dir_1621b81b9785d73209c7f4c12fbe6bef.html">scriptviews</a></li><li class="navelem"><a class="el" href="../../dir_b210f870da4a8116d3a8d204a3e2c636.html">dialogs</a></li><li class="navelem"><a class="el" href="../../dir_3e5fc1898a02def983b8daf667df4224.html">content</a></li><li class="navelem"><a class="el" href="../../d0/dee/expansiondialogcontent__textscroller_8c.html">expansiondialogcontent_textscroller.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
